VirtualSchemaEvolution
Keywords: uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.VirtualSchemaEvolution class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution
Class VirtualSchemaEvolution

    java.lang.Object
      uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.SMEvolution
          uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.VirtualSchemaEvolution

All Implemented Interfaces:
  Evolution

    public class VirtualSchemaEvolution

extends SMEvolution

Author:
  Administrator

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.SMEvolution
`evolutionType, evolvedSchema, isRepair, originalSchema, schemaEvolutionType, schemaToEvolve`

Fields inherited from interface uk.ac.bbk.dcs.automed.evolution.Evolution
`EVOLVE_DATA, EVOLVE_EXTENTIONAL_SCHEMA, EVOLVE_INTEGRATED_SCHEMA, EVOLVE_SCHEMAMODEL`

Constructor Summary
`VirtualSchemaEvolution(boolean isRepair, Schema virtualSchema, Schema evolvedVirtualSchema)`

Method Summary
`void` | `processAddTransformation(Transformation crntTransformation)`
`void` | `processContractTransformation(Transformation crntTransformation)`
`void` | `processDeleteTransformation(Transformation crntTransformation)`
`void` | `processExtendTransformation(Transformation crntTransformation)`
`void` | `processRenameTransformation(Transformation crntTransformation)` This is the Overridend method of super class.

Methods inherited from class uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.SMEvolution
`getEvolutionType, getIsRepair, getSchemaEvolutionType, processEvolution, processEvolution, processTransformation, repairPathway, repairPathway, setIsRepair, simplifyPathway, simplifyPathway`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualSchemaEvolution

    public VirtualSchemaEvolution(boolean isRepair,
                                  Schema virtualSchema,
                                  Schema evolvedVirtualSchema)
                           throws SMEvolutionException

Parameters:
  `isRepair` -
  `virtualSchema` -
  `evolvedVirtualSchema` -
Throws:
  `SMEvolutionException`

Method Detail

### processRenameTransformation

    public void processRenameTransformation(Transformation crntTransformation)

  This is the Overridend method of super class. 1) It takes all the pathways between two supplied schemas 2) For each pathway it checks if any steps are required in the evolutionTest process 3) Calls for simplification of the pathway.

  Specified by:
    `processRenameTransformation` in class `SMEvolution`

### processContractTransformation

    public void processContractTransformation(Transformation crntTransformation)

  Specified by:
    `processContractTransformation` in class `SMEvolution`

### processExtendTransformation

    public void processExtendTransformation(Transformation crntTransformation)

  Specified by:
    `processExtendTransformation` in class `SMEvolution`

### processDeleteTransformation

    public void processDeleteTransformation(Transformation crntTransformation)

  Specified by:
    `processDeleteTransformation` in class `SMEvolution`

### processAddTransformation

    public void processAddTransformation(Transformation crntTransformation)

  Specified by:
    `processAddTransformation` in class `SMEvolution`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD